Subject: Tegra board file deprecation schedule

From: [email-masked] (Stephen Warren)
Date: Fri, 27 Apr 2012 16:20:04 -0600

On 04/27/2012 04:00 PM, Fabio Estevam wrote:
> On Fri, Apr 27, 2012 at 6:53 PM, Stephen Warren <[email-masked]> wrote:
> 
>> The only one sticking point might be that the Harmony regulator
>> initialization needs to wait for the regulator driver to be probed, but
>> happen before the PCIe driver is registers. Perhaps we could hook up
>> some temporary bus notifiers to handle that. But since PCIe will likely
>> be fixed in 3.6, we could probably just wait for that on Harmony.
> 
> Does EPROBE_DEFER help in this case?

That's certainly the solution when everything is instantiated from
device tree, but I'm not sure it'll solve everything when doing the
regulator stuff from temporary code in the board file, which won't be
part of a driver probe.